## yq 3.1.0

=== Makefile ===
test_deps:
	pip install .[tests]

lint: test_deps
	flake8 $$(python setup.py --name)

test: test_deps lint
	coverage run --source=$$(python setup.py --name) ./test/test.py -v

docs:
	sphinx-build docs docs/html

install: clean
	pip install build
	python -m build
	pip install --upgrade dist/*.whl

clean:
	-rm -rf build dist
	-rm -rf *.egg-info

.PHONY: lint test test_deps docs install clean

include common.mk

=== debian/changelog ===
yq (3.1.0-3) unstable; urgency=medium

  * rename xq to xq-python (closes: #1029509)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 23 Jan 2023 17:28:55 +0100

yq (3.1.0-2) unstable; urgency=medium

  * fix package description
  * source only upload

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 23 Jan 2023 00:36:41 +0100

yq (3.1.0-1) unstable; urgency=low

  * Initial release. Closes: #908117

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 18 Jan 2023 15:42:42 +0100

=== debian/control ===
Source: yq
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-pip, python3-argcomplete, python3-toml, python3-xmltodict, python3-yaml
Standards-Version: 4.6.0
Homepage: https://github.com/kislyuk/yq
Vcs-Git: https://salsa.debian.org/python-team/packages/yq.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/yq

Package: yq
Architecture: all
Multi-Arch: foreign
Depends: jq, ${misc:Depends}, ${python3:Depends}
Description: Command-line YAML processor - jq wrapper for YAML documents
 yq transcodes YAML documents to JSON and passes them to jq. The
 package also includes xq, which transcodes XML to JSON using
 xmltodict and pipes it to jq, and tomlq, which uses the toml library
 to transcode TOML to JSON, then pipes it to jq

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Test not working at the moment
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mv debian/yq/usr/bin/xq debian/yq/usr/bin/xq-python

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/yq-$1\.tar\.gz/ \
  https://github.com/kislyuk/yq/tags .*/v(\d[\d.]*)\.tar\.gz

## yq 3.2.3

=== debian/changelog ===
yq (3.2.3-1) unstable; urgency=medium

  * update watch file to git method
  * New upstream version 3.2.3
  * fix man page install (closes: #1064405)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 14 Mar 2024 00:21:20 +0100

yq (3.1.0-5) unstable; urgency=medium

  * build and install man page (closes: #1064405)
  * fix cleanup

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 26 Feb 2024 14:27:39 +0100

yq (3.1.0-4) unstable; urgency=medium

  * wrap-and-sort debian/* files

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 04 Sep 2023 16:01:24 +0200

=== debian/control ===
Source: yq
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 help2man,
 python3-all,
 python3-argcomplete,
 python3-pip,
 python3-toml,
 python3-xmltodict,
 python3-yaml,
Standards-Version: 4.6.0
Homepage: https://github.com/kislyuk/yq
Vcs-Git: https://salsa.debian.org/python-team/packages/yq.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/yq

Package: yq
Architecture: all
Multi-Arch: foreign
Depends:
 jq,
 ${misc:Depends},
 ${python3:Depends},
Description: Command-line YAML processor - jq wrapper for YAML documents
 yq transcodes YAML documents to JSON and passes them to jq. The
 package also includes xq, which transcodes XML to JSON using
 xmltodict and pipes it to jq, and tomlq, which uses the toml library
 to transcode TOML to JSON, then pipes it to jq

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,18 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_build:
+	dh_auto_build
+
 override_dh_auto_install:
 	dh_auto_install
+	export PYTHONPATH=$$(ls -d debian/yq/usr/lib/python3*/dist-packages | head -1); \
+	echo $${PYTHONPATH}; \
+	help2man -n "Command-line YAML processor - jq wrapper for YAML documents" debian/yq/usr/bin/yq > docs/yq.1;\
+	help2man -n "Command-line XML processor - jq wrapper for XML documents" debian/yq/usr/bin/xq > docs/xq-python.1;\
+	help2man -n "Command-line TOML processor - jq wrapper for TOML documents" debian/yq/usr/bin/tomlq > docs/tomlq.1
 	mv debian/yq/usr/bin/xq debian/yq/usr/bin/xq-python
 
+override_dh_auto_clean:
+	- dh_auto_clean
+	rm -rf yq.egg-info/ docs/*.1

## yq 3.4.3

=== Makefile ===
SHELL=/bin/bash

lint:
	ruff $$(dirname */__init__.py)
	mypy --install-types --non-interactive --check-untyped-defs $$(dirname */__init__.py)

test:
	python ./test/test.py -v

init_docs:
	cd docs; sphinx-quickstart

docs:
	python -m pip install furo sphinx-copybutton
	sphinx-build docs docs/html

install:
	-rm -rf dist
	python -m pip install build
	python -m build
	python -m pip install --upgrade $$(echo dist/*.whl)[tests]

.PHONY: test lint release docs

include common.mk

=== debian/changelog ===
yq (3.4.3-2) unstable; urgency=medium

  * Team Upload
  * Update build-deps
    - python3-toml
    + jq
    + python3-tomlkit
  * Switch to DebHelper 13
  * Enable tests & autopkgtests
  * Add d/gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 20:08:45 +0200

yq (3.4.3-1) unstable; urgency=medium

  * New upstream version 3.4.3
  * build depends on python3-setuptools-scm (closes: #1080904)
  * bump standards version (no changes)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 06 Sep 2024 14:44:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,24 @@
 Uploaders:
  Christoph Martin <martin@uni-mainz.de>,
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  help2man,
+ jq,
  python3-all,
  python3-argcomplete,
  python3-pip,
- python3-toml,
+ python3-pytest,
+ python3-setuptools-scm,
+ python3-tomlkit,
  python3-xmltodict,
  python3-yaml,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/kislyuk/yq
 Vcs-Git: https://salsa.debian.org/python-team/packages/yq.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/yq
+X-Style: black
 
 Package: yq
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_TEST_ARGS=test/test.py

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	export PYTHONPATH=$$(ls -d debian/yq/usr/lib/python3*/dist-packages | head -1); \
	echo $${PYTHONPATH}; \
	help2man -n "Command-line YAML processor - jq wrapper for YAML documents" debian/yq/usr/bin/yq > docs/yq.1;\
	help2man -n "Command-line XML processor - jq wrapper for XML documents" debian/yq/usr/bin/xq > docs/xq-python.1;\
	help2man -n "Command-line TOML processor - jq wrapper for TOML documents" debian/yq/usr/bin/tomlq > docs/tomlq.1
	mv debian/yq/usr/bin/xq debian/yq/usr/bin/xq-python

execute_after_dh_auto_clean:
	rm -rf yq.egg-info/ docs/*.1 .pybuild/cpython3_*/.pydistutils.cfg yq/version.py

=== debian/watch ===
version=4
opts="mode=git, compression=gzip" \
 https://github.com/kislyuk/yq.git \
 refs/tags/[Vv]?(\d[\d\.]+) debian uupdate
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/yq-$1\.tar\.gz/ \
#  https://github.com/kislyuk/yq/tags .*/v(\d[\d.]*)\.tar\.gz

## yq 4.47.1

=== debian/changelog ===
yq (4.47.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 4.47.1 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 10 Aug 2025 00:24:58 +0200

yq (4.45.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 4.45.1 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 16:38:22 +0200

yq (4.44.5-1kaisen) kaisen-packages; urgency=medium

  * Import the 4.44.5 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Aug 2024 17:11:07 +0200

yq (4.44.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 4.44.3 release
  * Bump the Standards-Version
  * Bump the golang-go version required to build
  * Drop the i386 arch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 03:33:08 +0200

yq (4.43.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 4.43.1 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 08 May 2024 14:02:04 +0200

yq (4.35.2-1kaisen) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 30 Oct 2023 16:59:26 +0100

yq (4.34.2-2kaisen) kaisen-packages; urgency=medium

  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 23:17:44 +0100

yq (4.34.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 4.34.2 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 24 Jul 2023 01:37:23 +0100

yq (4.30.8-1kaisen) kaisen-packages; urgency=medium

  * Import the 4.30.8 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 20 Mar 2023 02:50:29 +0100

yq (4.30.5-1kaisen) kaisen-packages; urgency=medium

  * Import the 4.30.5 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 28 Nov 2022 21:20:51 +0100

yq (4.30.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 4.30.4 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 23:04:41 +0100

yq (4.27.5-1kaisen) kaisen-packages; urgency=medium

  * Initial release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 30 Sep 2022 13:25:03 +0100

=== debian/control ===
Source: yq
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends:
 debhelper-compat (= 13),
 golang-go (>= 1.24),
 dh-golang,
 pandoc,
Standards-Version: 4.7.2
Homepage: https://github.com/mikefarah/yq
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/yq
Vcs-Git: https://gitlab.com/kaisenlinux/packages/yq.git

Package: yq
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Portable command-line YAML, JSON, XML, CSV and properties processor

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build
export GOBIN=${GOPATH}/bin
export GO111MODULE=on

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build $(CURDIR)/yq.1 $(CURDIR)/yq

override_dh_auto_configure:

override_dh_auto_build:
	go build
	$(CURDIR)/scripts/generate-man-page-md.sh
	$(CURDIR)/scripts/generate-man-page.sh

override_dh_auto_test:
	go test

override_dh_dwz:

override_dh_auto_install:
	install -p -m 0755 $(CURDIR)/yq $(CURDIR)/debian/yq/usr/bin/
	$(CURDIR)/yq shell-completion bash > $(CURDIR)/debian/yq/usr/share/bash-completion/completions/yq
	$(CURDIR)/yq shell-completion zsh > $(CURDIR)/debian/yq/usr/share/zsh/vendor-completions/_yq
